package com.steerinfo.ems.zghbjkbzlog.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class ZghbjkbzLog implements IBasePO<String> {
    /**
     * id(id,VARCHAR,50)
     */
    @ApiModelProperty(value="id",required=true)
    private String id;

    /**
     * 标准表主键(zid,VARCHAR,50)
     */
    @ApiModelProperty(value="标准表主键",required=false)
    private String zid;
    
    /**
     * 最小值(min_value,DECIMAL,30)
     */
    @ApiModelProperty(value="最小值",required=true)
    private BigDecimal minValue;

    /**
     * 最大值(max_value,DECIMAL,30)
     */
    @ApiModelProperty(value="最大值",required=true)
    private BigDecimal maxValue;
    
    /**
     * 监控数据(meter_value,DECIMAL,30)
     */
    @ApiModelProperty(value="监控数据",required=true)
    private BigDecimal meterValue;
    
    /**
     * 监控间隔时间(秒)(intervals,DECIMAL,30)
     */
    @ApiModelProperty(value="监控间隔时间(秒)",required=true)
    private int intervals;

    /**
     * 记录时间(tim,DATE,7)
     */
    @ApiModelProperty(value="记录时间",required=true)
    private Date tim;
    
    /**
     * 状态 0非连续数据 1连续数据(state,VARCHAR,60)
     */
    @ApiModelProperty(value="状态 0非连续数据 1连续数据",required=true)
    private String state;

    private static final long serialVersionUID = 1L;

    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public BigDecimal getMinValue() {
		return minValue;
	}

	public void setMinValue(BigDecimal minValue) {
		this.minValue = minValue;
	}

	public BigDecimal getMaxValue() {
		return maxValue;
	}

	public void setMaxValue(BigDecimal maxValue) {
		this.maxValue = maxValue;
	}

	public String getZid() {
		return zid;
	}

	public void setZid(String zid) {
		this.zid = zid;
	}

	public BigDecimal getMeterValue() {
		return meterValue;
	}

	public void setMeterValue(BigDecimal meterValue) {
		this.meterValue = meterValue;
	}

	public int getIntervals() {
		return intervals;
	}

	public void setIntervals(int intervals) {
		this.intervals = intervals;
	}

	public Date getTim() {
		return tim;
	}

	public void setTim(Date tim) {
		this.tim = tim;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	@Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", zid=").append(zid);
        sb.append(", meterValue=").append(meterValue);
        sb.append(", minValue=").append(minValue);
        sb.append(", maxValue=").append(maxValue);
        sb.append(", state=").append(state);
        sb.append(", intervals=").append(intervals);
        sb.append(", tim=").append(tim);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}